XAMPP 1.8.0 виправити phpmyadmin після оновлення

Кілька днів тому вийшов XAMPP 1.8.0 Після оновлення з версії 1.7.7 Я мав досить цікавою проблемою. PhpMyAdmin, не моє відкриття і izg″rmâvaše з 403

Доступ заборонено!


Нова концепція безпеки XAMPP:

Доступ до Запитаний об'єкт доступна тільки з локальної мережі.

Цю настройку можна налаштувати у файлі “httpd-xampp.conf”.

Тепер я відкрив httpd-conf xampp які мені.. розташований у / opt/lampp/д/екстра /, на перший погляд, здавалося, все чудово. Правила для локальної мережі були штрафу. Крім того, я б відкрити локальний. WTF ??? Я подивився в журналі і побачити, що мої access відрізаний від konfiguaciâta. Ось речі вже ahnaha мене і, чесно кажучи роду трохи удачі я знайшов проблему. След като преглеждах httpd.conf-а видях в Allow/Deny клаузите един последен ред Все, що вимагають надано. Ох до Eureka. Це новий механізм контролю, яка увійшла в Apache 2.4. x. Це дає доступ або відмовляється від таких все добре, в основному наслідували дозволити/заборонити функціональність :). За да поправим проблема добавяме Require all granted в директивите за папката /opt/lampp/phpmyadmin. Після зміни в мене має такий вигляд:

<Реєстр “/Opt/lampp/phpmyadmin”>
AllowOverride AuthConfig межа
Наказ дозволити,заперечувати
Дозвольте від всіх
Все, що вимагають надано
</Реєстр>

 

Ви завжди можете спробувати інший divoti, Наприклад, щоб перейменувати папку phpmyadmin щось інші і не треба псевдонім для. Але це некрасиво і не дуже значущим 🙂

p. s просили мене, чому я використовую XAMPP і не чистого встановлення всіх компонентів, як це моя Debian народився – отговорът е много много простМЪРЗЕЛ. Мързи ме да напиша няколко команди после да си пипна конфовете и прочие. Доста по лесно е сваляш целия пакет разархивираш и палиш 😉

Посилюється Zemanta

залишити коментар

Ваша електронна адреса не буде опублікований. Обов'язкові поля помічені *

Захист від спаму *